<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS Date/Time</title>
		
	    <!-- AngularJs File -->
	    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.2/angular.min.js"></script>
	    
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css">
	    
	    <script type="text/javascript">	    	
		    var dateApp = angular.module('app', []);
		    dateApp.controller('dateCtrl', ['$scope', '$filter', '$interval', function ($scope, $filter, $interval) {
		    	var date = new Date();
		    	var date_format = 'EEEE MMMM d, y hh:mm:ss a';
		    	
		    	var tick = function() {		    		
		    		$scope.get_current_date_time = $filter('date')(new Date(), date_format);
		    	}
		    	tick();
		    	$interval(tick, 1000);
		    }]);
	    </script>
	</head>
	<body>
	    <div id="angularGetDateTime" class="container">
	        <h1 align="center" class="text-primary">AngularJS - Get Date/Time Example</h1>
	        <hr />
		        
	        <div ng-app="app" ng-controller="dateCtrl">
	        	<h3 id="header_msg" class="text-warning">A demo to display the current <em>date &amp; time</em> in AngularJS!</h3>
	            <div>&nbsp;</div>
	        	
	        	<h5 class="text-black-50">Date = {{ get_current_date_time }}</h5>                 
	        </div>
	    </div>
	</body>
</html>